<?php
/**
 * MOJoomDisclaimer Extension for Joomla By MO'WebCreation
 * 
 * 
 * @copyright	Copyright (C) 2014 MO'WebCreation. Mickaël Gerard André Outhier.  All rights reserved.
 * @license		GNU General Public License version 2. Please check the "read me" file provided in the package
 * 
 * @Website 	http://www.mo-web-creation.com/
 * @Support 	https://github.com/MOWebCreation
 *
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class JFormFieldCover extends JFormField
{
	public function getInput() {
		
		//adding some style for admin panel
		$admin_style = 'div#attrib-mo_content_params .controls{margin: 0}';
		$admin_style.= 'div#attrib-mo_content_params label, #jform_params_assignment-lbl {display: none;}';
		$admin_style.= '#assignment-menu-panel h3.nav-header{font-size: 16px;line-height: 1em;margin: 0 0 0 25px;padding: 0;}';
		$admin_style.= '.icon-plus, .icon-minus{cursor: pointer;}';
		$admin_style.= 'ul.treeselect {margin-bottom: 24px;margin-top: 8px;}';
		$admin_style.= 'ul.treeselect li {clear:both !important; display: block !important;}';
		$admin_style.= 'div#attrib-mo_assignment_params ul.treeselect label {display: block;}';
		$admin_style.= '.menu-panel {margin-bottom: 10px;margin-top: 10px;}';
		$admin_style.= '#assignment-menu-panel, #jform_params_javascript-lbl, .nodys{display: none;}';
		$admin_style.= '.mojoom-cover {border-left: 10px solid #55a72f;border-radius: 7px;margin-bottom: 2%;padding-left: 1%;width: 95%;} .mojoom-cover h4 {border-bottom: 1px dashed #55a72f;}';
		JFactory::getDocument()->addStyleDeclaration($admin_style);
	?>
	
	<div class="mojoom-cover">
		<?php print JText::_('PLG_SYSTEM_MOJOOMDISCLAIMER_COVER_DISPLAY');?>
	</div>
	
	<div class="mojoom-cover">
		<?php print JText::_('PLG_SYSTEM_MOJOOMDISCLAIMER_COVER_CONTENT');?>
	</div>
	
	<div class="mojoom-cover">
		<?php print JText::_('PLG_SYSTEM_MOJOOMDISCLAIMER_COVER_TAG');?>
	</div>
	
	<div class="mojoom-cover">
		<?php print JText::_('PLG_SYSTEM_MOJOOMDISCLAIMER_COVER_LINKS');?>
	</div>
	
	<div class="mojoom-cover">
		<?php print JText::_('PLG_SYSTEM_MOJOOMDISCLAIMER_COVER_JQUERY');?>
	</div>
	
	<div class="mojoom-cover">
		<?php print JText::_('PLG_SYSTEM_MOJOOMDISCLAIMER_COVER_CONTACT');?>
	</div>

	<?php	
	}
}
?>