<?php
/**
 * MOJoomDisclaimer Extension for Joomla By MO'WebCreation
 * 
 * 
 * @copyright	Copyright (C) 2014 MO'WebCreation. Mickaël Gerard André Outhier.  All rights reserved.
 * @license		GNU General Public License version 2. Please check the "read me" file provided in the package
 * 
 * @Website 	http://www.mo-web-creation.com/
 * @Support 	https://github.com/MOWebCreation
 *
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class JFormFieldJavascript extends JFormField
{
	public function getInput() {
				
?>
			<script type="text/javascript">
			
				function collect(selectVal) {
					
					var Items = new Array();
					jQuery('.item-menu.checked').each(function(){
						Items.push(jQuery(this).attr('id').replace('jform_assignment',''));
						
					});
					var Value = selectVal + 'SeG' + Items.join(',');
					jQuery('#jform_assignment').val(Value);
				}
				
				jQuery(document).ready(function(){
					
					//Hide the field "jform_params_validedurl" if the field "jform_params_validedredirect" is set to 0
					if(jQuery('#jform_params_validedredirect').val() == 0) {
						jQuery('#jform_params_validedurl').parent().parent().addClass('nodys');
					}
					
					//Update "jform_params_validedredirect"
					jQuery('#jform_params_validedredirect').chosen().change(function() {
						if(jQuery(this).val() == 0) {
							jQuery('#jform_params_validedurl').parent().parent().addClass('nodys');
						} else {
							jQuery('#jform_params_validedurl').parent().parent().removeClass('nodys');
						}	
					});
					
					//Init the panel checkbox's
					var iniVal = jQuery('#jform_assignement_select_val').val();
					switch(iniVal) {
						
						case '0' :
						jQuery('#assignment-menu-panel').css('display','none');
						jQuery('.item-menu').attr('checked','checked').addClass('checked');
						collect(iniVal);
						break;
		
						case '-2' :
						jQuery('#assignment-menu-panel').css('display','none');
						jQuery('.item-menu').removeAttr('checked').removeClass('checked');
						collect(iniVal);
						break;
						
						case '1' :
						jQuery('#assignment-menu-panel').css('display','block');
						collect(iniVal);
						break;
						
						case '-1' :
						jQuery('#assignment-menu-panel').css('display','block');
						collect(iniVal);
						break;
					}
					jQuery('#jform_params_assignment_select').val(jQuery('#jform_assignement_select_val').val());
					
					//Update the panel checkbox's
					jQuery('#jform_params_assignment_select').chosen().change(function(){
						
						switch(jQuery(this).val()) {
						
							case '0' :
							jQuery('#assignment-menu-panel').css('display','none');
							jQuery('.item-menu').attr('checked','checked').addClass('checked');
							collect(jQuery(this).val());
							break;
			
							case '-2' :
							jQuery('#assignment-menu-panel').css('display','none');
							jQuery('.item-menu').removeAttr('checked').removeClass('checked');
							collect(jQuery(this).val());
							break;
							
							case '1' :
							jQuery('#assignment-menu-panel').css('display','block');
							collect(jQuery(this).val());
							break;
							
							case '-1' :
							jQuery('#assignment-menu-panel').css('display','block');
							collect(jQuery(this).val());
							break;
						}
						jQuery('#jform_assignement_select_val').val(jQuery(this).val());
					});
										
					jQuery('.item-menu').on('change', function(){
						if(jQuery(this).hasClass('checked')) {
							jQuery(this).removeAttr('checked').removeClass('checked');
						} else {
							jQuery(this).attr('checked','checked').addClass('checked');
						}
						collect(jQuery('#jform_assignement_select_val').val());
					});
					
					jQuery('#treeCheckAll').on('click', function(){
						jQuery('.item-menu').attr('checked','checked').addClass('checked');
						collect(jQuery('#jform_assignement_select_val').val());
						return false;
					})
					
					jQuery('#treeUncheckAll').on('click', function(){
						jQuery('.item-menu').removeAttr('checked').removeClass('checked');
						collect(jQuery('#jform_assignement_select_val').val());
						return false;
					})
					
					jQuery('#treeExpandAll').on('click', function(){
						jQuery('.treeselect').slideDown();
						jQuery('i.icon-plus').addClass('nodys');
						jQuery('i.icon-minus').removeClass('nodys');
						return false;
					});
					
					jQuery('#treeCollapseAll').on('click', function(){
						jQuery('.treeselect').slideUp();
						jQuery('i.icon-minus').addClass('nodys');
						jQuery('i.icon-plus').removeClass('nodys');
						return false;
					});
					
					jQuery('i.icon-plus').on('click', function(e){
						e.stopPropagation();
						var thisMenuPanel = jQuery(this).parent('div');
						thisMenuPanel.children('ul').slideDown();
						jQuery(this).addClass('nodys');
						thisMenuPanel.children('i.icon-minus').removeClass('nodys');
						return false;
					});
					
					jQuery('i.icon-minus').on('click', function(e){
						e.stopPropagation();
						var thisMenuPanel = jQuery(this).parent('div');
						thisMenuPanel.children('ul').slideUp();
						jQuery(this).addClass('nodys');
						thisMenuPanel.children('i.icon-plus').removeClass('nodys');
						return false;
					});
					
				});
				
			</script>

	<?php	
	}
}
?>